STRUCT DRM_MODE_GROU(9)

NAME
struct_drm_mode_group - group of mode setting resources for potential sub-grouping

SYNOPSIS

struct drm_mode_group {
  uint32_t num_crtcs;
  uint32_t num_encoders;
  uint32_t num_connectors;
  uint32_t num_bridges;
  uint32_t * id_list;
};

MEMBERS

num_crtcs
    CRTC count

num_encoders
    encoder count

num_connectors
    connector count

num_bridges
    bridge count

id_list
    list of KMS object IDs in this group

DESCRIPTION

Currently this simply tracks the global mode setting state. But in the future it could allow groups of objects to be set aside into independent control groups for use by different user level processes (e.g. two X servers running simultaneously on different heads, each with their own mode configuration and freedom of mode setting).

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT